# HG changeset patch
# User Akil Ayyappan<akil@multicorewareinc.com>
# Date 1545126758 -19800
#      Tue Dec 18 15:22:38 2018 +0530
# Node ID da15824d3d7753a6372afdb7f438e553046f084e
# Parent  81373aab81dfe2e31a5ef353b1073d8bf1e22502
Cutree Offset Reuse: Restricted to analysis reuse level 10

diff -r 81373aab81df -r da15824d3d77 source/encoder/encoder.cpp
--- a/source/encoder/encoder.cpp	Thu Dec 13 10:55:15 2018 +0530
+++ b/source/encoder/encoder.cpp	Tue Dec 18 15:22:38 2018 +0530
@@ -2755,6 +2755,12 @@
         x265_log(m_param, X265_LOG_WARNING, "CRF min must be less than CRF\n");
         p->rc.rfConstantMin = 0;
     }
+
+    if ((p->analysisLoad || p->analysisSave) && p->rc.cuTree && p->analysisReuseLevel < 10)
+    {
+        x265_log(p, X265_LOG_WARNING, "cu-tree works only with analysis reuse level 10, Disabling cu-tree\n");
+        p->rc.cuTree = 0;
+    }
 
     if ((p->analysisLoad || p->analysisSave) && (p->bDistributeModeAnalysis || p->bDistributeMotionEstimation))
     {
